Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07518 Sound Minor Always Dec 7, 2019, 15:02 Mar 13, 2020, 21:13
Tester vidpro1 View Status Public Platform MAME (Self-compiled)
Assigned To vidpro1 Resolution Fixed OS
Status [?] Resolved Driver spiders.cpp
Version 0.216 Fixed in Version 0.220 Build 64-bit
Summary 07518: spiders: Web Sound and Spiders moving sound fix submission
Description Not sure if this fix is going to be approved but I will submit it anyways. The audio driver for Spiders hasn't been touched since 2005. I found a video on youtube that shows the frequency in the emulator for certain sounds is too high and I was able to try and tune it by ear. The audio driver was created by someone else based on caps an resistor values and does not use netlist (uses DAC and discrete). I was able to get desired results without changing any resistor or caps values. The firing sound on the arcade board sounds like something from Space Invaders or Galaxian this part was I was not able to fix. Maybe someone can help on this. Been trying to get a boardset for years for my collection.

in src/audio/spiders.c

* CHANGED TO SPIDERS_SOUND_CLK/21*
/* Web sound */
DISCRETE_NOTE(NODE_20, 1, SPIDERS_SOUND_CLK/21, SPIDERS_WEB_SOUND_DATA, 255, 15, DISC_CLK_IS_FREQ)
DISCRETE_TRANSFORM2(NODE_21, NODE_20, SPIDER_WEB_SOUND_MOD_DATA, "01&")
DISCRETE_DAC_R1(NODE_22, NODE_21, DEFAULT_TTL_V_LOGIC_1, &spiders_sound_dac)


&t=105s
Steps To Reproduce
Additional Information TNT Amusements Spiders Machine - Sounds the same here.
&t=648s
Flags
Regression Version
Affected Sets / Systems spiders
Attached Files
mp3 file icon TNT.mp3 (126,640 bytes) Mar 8, 2020, 14:10 Uploaded by M.A.S.H.
mp3 file icon New-MAME.mp3 (126,144 bytes) Mar 8, 2020, 14:10 Uploaded by M.A.S.H.
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.17255
Tafoid
Administrator
Dec 8, 2019, 12:28
We anxiously await any pull requests regarding this.
User avatar
No.17470
M.A.S.H.
Senior Tester
Mar 8, 2020, 14:19
I try the SPIDERS_SOUND_CLK fix and I also uploaded the wav files from TNT and the new MAME version (TNT.mp3 and New-MAME.mp3).
Both files have the same length and sound the same.
User avatar
No.17486
M.A.S.H.
Senior Tester
Mar 13, 2020, 21:12
Fixed by vidpro1:
https://git.redump.net/mame/commit/?id=b0803a5e41068291fc8da2b0a14b943cb73e0333